#
# Conditional build:
%bcond_without	doc			# don't build ri/rdoc

Summary:	MySQL module for Ruby
Summary(pl.UTF-8):	Moduł MySQL dla języka Ruby
Name:		mysql-ruby
Version:	2.8.2
Release:	13
License:	GPL
Group:		Development/Languages
Source0:	http://tmtm.org/downloads/mysql/ruby/%{name}-%{version}.tar.gz
# Source0-md5:	eb998b89b7e391cffe0a1f84bd426f9b
Patch0:		%{name}-amd64.patch
Patch1:		%{name}-encoding.patch
Patch2:		rbconfig-deprecation.patch
Patch3:		ruby-2.4.patch
URL:		http://www.tmtm.org/mysql/ruby/README.html
BuildRequires:	mysql-devel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
Provides:	ruby-mysql-library
Conflicts:	ruby-mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL module for Ruby.

%description -l pl.UTF-8
Moduł MySQL dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{name}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{name}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{name}.

%package ri
Summary:	ri documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{name}
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{name}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
ruby extconf.rb \
	--with-mysql-config

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%if %{with doc}
rdoc --ri --op ri
rdoc --op rdoc
rm -r ri/Object
rm ri/created.rid
rm ri/cache.ri
rm ri/page-*.ri
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}
%{__make} install \
	archdir=$RPM_BUILD_ROOT%{ruby_vendorarchdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_vendorarchdir}

%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{ruby_vendorarchdir}/mysql.so

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Mysql
%{ruby_ridir}/TC_Mysql*
%endif
%changelog
* Sat Jun 09 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mysql-ruby.git;a=log;h=master

* Sat Jun 09 2018 Jan Rękorajski <baggins@pld-linux.org> bac3c69
- Fixnum/Bignum have been unified into Integer in ruby 2.4
- rel 13

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 0454d97
- rebuild with mysql 5.7
- release 12 (by relup.sh)

* Sat Oct 28 2017 Elan Ruusamäe <glen@delfi.ee> 3aee2c5
- rebuild with fixed ruby ridir path
- release 11 (by relup.sh)

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 41efb61
- Revert "BR gmp-devel"

* Thu Oct 26 2017 Elan Ruusamäe <glen@delfi.ee> 64126e3
- BR gmp-devel

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 2a7ba56
- add doc bcond

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 62277a3
- handle Config deprecation in ruby 2.3

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> da40650
- rebuild with ruby 2.3
- release 9 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 9e37397
- ruby 2.1 rebuild
- release 8 (by relup.sh)

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> f4d616e
- noarch rdoc and ri subpackages

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 5a874cb
- ruby 2.0 rebuild
- release 6 (by relup.sh)

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 708aa24
- install to vendor dir

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f8ad09e
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 38a6827
- BR: ruby-devel

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> 4bec0b8
- rel 3
- Add basic encoding aware logic. Convert all data to default external encoding

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> 91a672d
- Add basic encoding aware logic. Convert all data to default external encoding
  See:	http://gnuu.org/2009/11/06/ruby19-rails-mysql-utf8/
	http://github.com/lsegal/mysql-ruby

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> a3b651c
- rel 2
- too many obsoletes

* Tue Mar 09 2010 Jan Rękorajski <baggins@pld-linux.org> 6644040
- up to 2.8.2
- added rdoc and ri packages

* Sun Mar 16 2008 aredridel <aredridel@pld-linux.org> d12fe4c
- remove duplicate ri files

* Mon Dec 31 2007 Elan Ruusamäe <glen@pld-linux.org> 2da766c
- convert utf8

